core::trust::mir Namespace Reference

## Classes

class | InvalidMirConnection

## Functions

CORE_TRUST_DLL_PUBLIC MirConnection * | connect (const std::string &endpoint, const std::string &name)
| Helper function building up a connection to Mir. More...
CORE_TRUST_DLL_PUBLIC std::shared_ptr< core::trust::Agent > | create_agent_for_mir_connection (MirConnection *connection)
| create_agent_for_mir_connection creates a trust::Agent implementation leveraging Mir's trusted prompting API. More...

## Function Documentation

CORE_TRUST_DLL_PUBLIC MirConnection* core::trust::mir::connect | ( | const std::string & | endpoint,
|  | const std::string & | name
| ) |  |

Helper function building up a connection to Mir.

Parameters

  endpoint | The name of the endpoint exposed by the Mir instance.
  name | The name assigned to this connection.

Exceptions

  std::runtime_error | in case of issues.

CORE_TRUST_DLL_PUBLIC std::shared_ptr<core::trust::Agent> core::trust::mir::create_agent_for_mir_connection | ( | MirConnection * | connection | ) |

create_agent_for_mir_connection creates a trust::Agent implementation leveraging Mir's trusted prompting API.

Parameters

  connection | An existing connection to a Mir instance.

Exceptions

  InvalidMirConnection | if the connection object is invalid.